Linux Kodi on lubuntu 18.04 using Nouveau Driver
#2
I'm not sure if Nouveau will work with Kodi, but I can't tell what's going on from that log. Can you install gdb (sudo apt install gdb) and enable debug logging: https://kodi.wiki/view/Log_file . This will provide more information about why it's crashing.

Your best course may be to revert to 16.04 LTS on that hardware. Ubuntu isn't shipping a 32-bit desktop CD image anymore either, so it's not well tested on 32-bit hardware. Nvidia dropped support for the 304 driver at the end of 2017, so it's not supported on the kernel that shipped with Ubuntu 18.04, and won't be updated for kernels or new X server ABIs going forward.

There is a patch floating around to get the 304 driver to work with Linux kernel 4.15, so you can possibly get it to work. The graphics-driver ppa has a 304 driver for 18.04, but I'm not sure if it has a patch for 4.15: https://launchpad.net/~graphics-drivers/...ter=bionic
Reply


Messages In This Thread
RE: Kodi on lubuntu 18.04 using Nouveau Driver - by yasij - 2018-05-07, 15:46


Logout Mark Read Team Forum Stats Members Help
Kodi on lubuntu 18.04 using Nouveau Driver0
This forum uses Lukasz Tkacz MyBB addons.